<?xml version='1.0' encoding='utf-8'?>
<panel>

  <layout class="arrange_vertical_attachment" alignment="bottom,extend" offset="0" gap="0" />
  <layout class="stick_to_sides_attachment" alignment="horizontal" inset="5" layout_children="true" />

  <container class="scrolling_box" id="cnTR">
    <container>
      <layout class="arrange_vertical_attachment" alignment="top" offset="0" gap="5" />
      <layout class="fit_children_attachment" alignment="vertical,fill" offset="0" gap="5" />
      <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

      <container>
        <layout class="stick_to_sides_attachment" alignment="top" layout_children="true" inset="0" />
        <layout class="fit_children_attachment" alignment="vertical" offset="0" />
        <layout class="arrange_horizontal_attachment" alignment="fill" offset="0" />

      <container>
        <layout class="stick_to_sides_attachment" alignment="top" layout_children="true" inset="0" />
        <layout class="fit_children_attachment" alignment="vertical" offset="0" />
        <layout class="arrange_horizontal_attachment" alignment="fill" offset="0" />

        <container>
          <layout class="arrange_vertical_attachment" alignment="top" offset="0" gap="5" />
          <layout class="fit_children_attachment" alignment="vertical,fill" offset="0" gap="5" />
          <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

          <!-- Contract type-->
          <widget class="table" id="typT" layout="-1" mode="fill_rows, stripe_rows" stretch_to_fit_rows="true" fixed_size_rows="false" auto_size_rows="true" row_spacing="0">
            <!-- default properties for everything in a table -->
            <record id="default_properties">
              <flags id="alignment" value="left,centre_y" />
            </record>
            <!-- properies for specific columns in the table -->
            <list id="column_properties">
              <record indx="0" spec="text" />
            </list>
            <!-- table isn't sortable -->
            <list id="column_display_properties">
              <record index="0" sort_disabled="true" top="4" bottom="4" />
            </list>

            <!-- Title of box -->
            <list id="headings">
              <record alignment="left,centre_y">
                <translation id="text" translation_id="229400" type="use" value="Type" />
              </record>
            </list>
            <widget class="text" spec="text" id="typw" col="0" row="0" auto_size="vertical" />
          </widget>

          <!-- Contract expiry-->
          <widget class="table" id="expT" layout="-1" mode="fill_rows, stripe_rows" stretch_to_fit_rows="true" fixed_size_rows="false" auto_size_rows="true" row_spacing="0">
            <!-- default properties for everything in a table -->
            <record id="default_properties">
              <flags id="alignment" value="left,centre_y" />
            </record>
            <!-- properies for specific columns in the table -->
            <list id="column_properties">
              <record indx="0" spec="text" />
            </list>
            <!-- table isn't sortable -->
            <list id="column_display_properties">
              <record index="0" sort_disabled="true" top="4" bottom="4" />
            </list>

            <!-- Title of box -->
            <list id="headings">
              <record alignment="left,centre_y">
                <translation id="text" translation_id="227784" type="use" value="Expires" />
              </record>
            </list>
            <widget class="editable_client_object_property_panel" id="expw" col="0" row="0">
              <record id="widget_properties" auto_size="vertical" spec="text" />
            </widget>
          </widget>
        </container>

        <!-- Bonuses, build in code -->
        <widget class="table" id="bons" layout="-1" mode="fill_rows, stripe_rows" stretch_to_fit_rows="true" fixed_size_rows="false" auto_size_rows="true" row_spacing="0">
          <boolean id="use_seperate_table_rows" value="true" />

          <!-- default properties for everything in a table -->
          <record id="default_properties">
            <flags id="alignment" value="left,centre_y" />
          </record>
          <!-- properies for specific columns in the table -->
          <list id="column_properties">
            <record indx="0" spec="text" />
          </list>
          <!-- table isn't sortable -->
          <list id="column_display_properties">
            <record index="0" sort_disabled="true" top="4" bottom="4" />
          </list>

          <!-- Title of box -->
          <list id="headings">
            <record alignment="left,centre_y">
              <translation id="text" translation_id="242354" type="use" value="Bonuses" />
            </record>
          </list>
        </widget>

        <!-- Clauses, build in code -->
        <widget class="table" id="clau" layout="-1" mode="fill_rows, stripe_rows" stretch_to_fit_rows="true" fixed_size_rows="false" auto_size_rows="true" row_spacing="0">
          <boolean id="use_seperate_table_rows" value="true" />


          <!-- default properties for everything in a table -->
          <record id="default_properties">
            <flags id="alignment" value="left,centre_y" />
          </record>
          <!-- properies for specific columns in the table -->
          <list id="column_properties">
            <record indx="0" spec="text" />
          </list>
          <!-- table isn't sortable -->
          <list id="column_display_properties">
            <record index="0" sort_disabled="true" top="4" bottom="4" />
          </list>

          <!-- Title of box -->
          <list id="headings">
            <record alignment="left,centre_y">
              <translation id="text" translation_id="247434" type="use" value="Clauses" />
            </record>
          </list>
        </widget>
      </container>
      </container>

    </container>
  </container>

  <widget class="text" id="NctR">
    <translation id="text" translation_id="328536" type="use" value="Available on a free transfer.[COMMENT:text to show on a player's contract panel when the player is unattached to any club]" />
  </widget>

  <!--button to go to reports-->
  <container id="btnC">
    <layout class="arrange_horizontal_attachment" alignment="right" />
    <layout class="stick_to_sides_attachment" alignment="top" layout_children="true" />
    <layout class="fit_children_attachment" alignment="vertical" />

    <!--buttons to go to personal details-->
    <widget class="button" id="vcnt" auto_size="all" appearance="button/link/button">
      <translation id="text" translation_id="230163" type="use" value="Contract" />
    </widget>
  </container>
</panel>